Обработчик Apache недоступен в Plesk

Создана:

2016-11-16 12:49:02 UTC

Изменена:

2017-05-23 13:12:16 UTC

3

Помогла ли вам статья?


Есть вопросы?

Отправить запрос

Обработчик Apache недоступен в Plesk

Симптомы

На странице Инструменты и настройки > Настройки PHP , PHP 5.6.12 Apache handler помечен оранжевым восклицательным знаком.

При наведении курсора на оранжевый восклицательный знак показывается следующее сообщение:

Невозможно включить обработчик, потому что отключен соответствующий модуль Apache.

Причина

mod_php по умолчанию отключен на чистой установке Plesk 12.5.

Решение

Примечание. Мы не рекомендуем включать mod_php (обработчик Apache) , так как он устаревший и небезопасный. Мы рекомендуем использовать FastCGI или FPM .

Если вы уверены в своих действиях и все же хотите включить mod_php , выполните следующее:

  1. На странице Инструменты и настройки > Веб-сервер Apache измените Режим MPM на prefork .
  2. На странице Инструменты и настройки > Веб-сервер Apache включите модуль php5 .
Была ли эта статья полезной?
Пользователи, считающие этот материал полезным: 3 из 6
Еще есть вопросы? Отправить запрос
Войдите в службу, чтобы оставить комментарий.